%define	name zziplib
%define	version 0.12.23
%define	release	2mdk
%define	major 0
%define finalname %{name}%{major}

Summary:	ZZipLib - libZ-based ZIP-access Library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://zziplib.sf.net
Source:		%{name}-%{version}.tar.bz2
Obsoletes:	%{name}
Provides:	%{name} %{name} = %{version}
Requires:	zlib1 >= 1.1.4
BuildRequires:	zlib1-devel >= 1.1.4
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package -n %{finalname}
Summary:	ZZipLib - libZ-based ZIP-access Library
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name}
Requires:	zlib1 >= 1.1.4

%description -n	%{finalname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package -n %{finalname}-devel
Summary:	ZZipLib - Development Files
Group:		Development/Other
Obsoletes:	%{name}-devel
Provides:	%{name}-devel
Requires:	%{finalname} = %{version}-%{release}
Requires:	zlib1 >= 1.1.4

%description -n	 %{finalname}-devel
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
these are the header files needed to develop programs using zziplib.
there are test binaries to hint usage of the library in user programs.

%package -n %{finalname}-static-devel
Summary:	Static development libraries for %{finalname}
Group:		Development/Other
Obsoletes:	%{name}-static-devel
Provides:	%{name}-static-devel
Requires:	%{finalname}-devel = %{version}-%{release}

%description -n	 %{finalname}-static-devel
Static development libraries for %{finalname}

%prep

%setup -q

%build
export WANT_AUTOCONF_2_5=1

%serverbuild

./configure \
    --prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --mandir=%{_mandir} \
    --libdir=%{_libdir} \

%make
make doc 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}
make install-man3 DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{finalname}
/sbin/ldconfig

%postun -n %{finalname}
/sbin/ldconfig

%post -n %{finalname}-devel
/sbin/ldconfig

%postun -n %{finalname}-devel
/sbin/ldconfig

%files -n %{finalname}
%defattr(-,root,root)
%doc ChangeLog README TODO  docs/COPYING*
%{_libdir}/libzzip*-*.so.*

%files -n %{finalname}-devel
%defattr(-,root,root)
%doc docs/*.html docs/*.txt docs/README*
%{_bindir}/zzcat
%{_bindir}/zzdir
%{_bindir}/zzxorcat
%{_bindir}/zzxorcopy
%{_bindir}/zzxordir
%{_bindir}/zzip-config
%{_libdir}/libzzip*.la
%{_libdir}/libzzip*.so
%{_includedir}/*
%{_mandir}/man3/*

%files -n %{finalname}-static-devel
%defattr(-,root,root)
%{_libdir}/libzzip*.a

%changelog
* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.23-2mdk
- fix requires, provides and changelog date
- misc spec file fixes

* Sat Dec 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.23-1mdk
- 0.12.23
- new static-devel sub package 

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.65-2mdk
- rebuilt with gcc-3.2

* Wed Jul 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.65-1mdk
- new version
- misc spec file fixes

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.27-3mdk
- rebuilt with gcc3.1

* Sat Apr 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.27-2mdk
- moved headers to /usr/include/ because php liked it better...

* Wed Apr 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.27-1mdk
- libified the package
- initial cooker contrib


